function CC_Ops_Update()
	CC_Options_EnableBox:SetChecked(CC_Vars.enabled);
	CC_Options_ShowBox:SetChecked(CC_Vars.visible);
	CC_Options_MsgBox:SetChecked(CC_Vars.messages);
	CC_Options_ResetBox:SetChecked(CC_Vars.reset);
	if (CC_Vars.reset == true) then
		CC_Options_AskResetBox:SetChecked(false);
		CC_Options_AskResetBox:Disable();
		CC_Options_AskResetBox:SetAlpha(0.7);
	else
		CC_Options_AskResetBox:SetChecked(CC_Vars.askreset);
		CC_Options_AskResetBox:Enable();
		CC_Options_AskResetBox:SetAlpha(1);
	end
	CC_Options_CombatBox:SetChecked(CC_Vars.combat);
	CC_Options_AlphaSlider:SetValue(CC_Vars.alpha);
	if (CC_Vars.above == true) then
		UIDropDownMenu_SetText(CC_Options_DropDownMenu, "Up");
	else
		UIDropDownMenu_SetText(CC_Options_DropDownMenu, "Down");
	end
end

function CC_Ops_OnLoad(self)
	CC_Options:Hide();
end

function CC_InitializeDropDown(self, level)
	local info = UIDropDownMenu_CreateInfo();
		info.text = "Up";
		info.func = OnClick;
		info.checked = CC_Vars.above;
		info.arg1 = true;
	UIDropDownMenu_AddButton(info, level);
	
	local info = UIDropDownMenu_CreateInfo();
		info.text = "Down";
		info.func = OnClick;
		info.checked = not CC_Vars.above;
		info.arg1 = false;
	UIDropDownMenu_AddButton(info, level);
end

function OnClick(self, arg1, arg2, checked)
	CC_Vars.above = arg1;
	if (CC_Vars.above == true) then
		UIDropDownMenu_SetText(CC_Options_DropDownMenu, "Up");
		CC_Message(CASHCOUNTER_ANCHOR_ABOVE);
	else
		UIDropDownMenu_SetText(CC_Options_DropDownMenu, "Down");
		CC_Message(CASHCOUNTER_ANCHOR_BELOW);
	end
	setAnchor();
end

function CC_SetupSlider(self, text, myMin, myMax, step)
	getglobal(self:GetName().."Text"):SetText(text);
	getglobal(self:GetName().."Low"):SetText(myMin);
	getglobal(self:GetName().."High"):SetText(myMax);
	self:SetMinMaxValues(myMin, myMax);
	self:SetValueStep(step);
end